Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc20.oci
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.oci.Statement
            |
            +--weblogic.jdbc20.oci.Statement

Direct Known Subclasses:
  weblogic.jdbc20.oci.PreparedStatement

public class Statement
extends weblogic.jdbcbase.oci.Statement
implements java.sql.Statement

This class contains WebLogic extensions to JDBC to support parsing of SQL statements and adjusting of the fetch size. Only the extensions are documented here.

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.oci.Statement
`closed, connection, current_queryresult, cursorparams, doExtendedSQL, fetchsize, jdk_codeset, lastvalnull, maxfieldsize, maxrows, nullvalid, ociconn, ocicursor, updatecnt, warnings`

Constructor Summary
`Statement()`

Method Summary
`void` | `fetchSize(int size)` Allows tuning of the size of prefetch array used for Oracle row results.

Methods inherited from class weblogic.jdbcbase.oci.Statement
`addBatch, addBatch, addWarning, cancel, checkIfArgNull, checkIfClosed, checkJdbcSql, clearBatch, clearParameters, clearWarnings, close_cursor, close, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, fetchSize, finalize, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getResultSet, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, parse, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setObject, setObject, setObject, setQueryTimeout, setReader, setShort, setStream, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### fetchSize

    public void fetchSize(int size)

  Allows tuning of the size of prefetch array used for Oracle row results. Oracle provides the means to do data prefetch in batches, which decreases network traffic and latency for row requests.

  The default batch size is 100. Memory for 100 rows is allocated in the native stack for every query. For queries that need fewer rows, this size can be adjusted appropriately. This saves on the swappable image size of the application and will benefit performance if only as many rows as needed are fetched.

  Parameters:
    `size` - Number of rows for prefetch
  Overrides:
    fetchSize in class weblogic.jdbcbase.oci.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD